package ld27.entity;

public abstract class Entity {
	public float x, y;
	public float dx, dy;
	
	public float distanceTo(Entity entity) {
		return (float) Math.sqrt(Math.pow(x - entity.x, 2) + Math.pow(y - entity.y, 2));
	}
	
	public void tick(float length) {
		x += dx;
		y += dy;
	}
	
	public abstract void draw();
}
