package ld27.particle;

public abstract class Particle {
	public float x, y;
	public float dx, dy;
	public float age, life;
	
	public void tick(float length) {
		x += dx * length;
		y += dy * length;
		age += length;

		if(x < 0.4f || x > 19.6f || y < 0.4f || y > 19.6f) {
			age = life;
		}
	}
	
	public abstract void draw();
}
