package ld27.sound;

public class SoundQueue extends Thread {
	private Sound sound;
	private int delay;
	
	public SoundQueue(Sound sound, int delay) {
		this.sound = sound;
		this.delay = delay;
		setDaemon(true);
		start();
	}
	
	@Override
	public void run() {
		try {
			Thread.sleep(delay);
			sound.play();
		} catch(Exception e) {}
	}
}
