package ld27.world;

import ld27.texture.Texture;
import ld27.texture.TileRenderer;

public class Tile {
	public Texture texture;
	public int texX, texY;
	public TileRenderer renderer;
	
	public Tile(Texture texture, int texX, int texY) {
		this.texture = texture;
		this.texX = texX;
		this.texY = texY;
	}
	
	public void drawInit() {
		renderer = new TileRenderer(texture, texX, texY);
	}

	public void draw(int x, int y) {
		renderer.add(x, y);
	}
	
	public void drawFinish() {
		renderer.draw();
		renderer.destroy();
		renderer = null;
	}
}
